org.bouncycastle.jce.provider.asymmetric.ec

## Class KeyPairGenerator.EC

- java.lang.Object
- - java.security.KeyPairGeneratorSpi
  - - java.security.KeyPairGenerator
    - - org.bouncycastle.jce.provider.JDKKeyPairGenerator
      - - org.bouncycastle.jce.provider.asymmetric.ec.KeyPairGenerator
        - - org.bouncycastle.jce.provider.asymmetric.ec.KeyPairGenerator.EC

Direct Known Subclasses:
  KeyPairGenerator.ECDH, KeyPairGenerator.ECDHC, KeyPairGenerator.ECDSA, KeyPairGenerator.ECGOST3410, KeyPairGenerator.ECMQV

Enclosing class:
  KeyPairGenerator

    public static class KeyPairGenerator.EC
    extends KeyPairGenerator

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.asymmetric.ec.KeyPairGenerator

`KeyPairGenerator.EC, KeyPairGenerator.ECDH, KeyPairGenerator.ECDHC, KeyPairGenerator.ECDSA, KeyPairGenerator.ECGOST3410, KeyPairGenerator.ECMQV`

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKKeyPairGenerator

`JDKKeyPairGenerator.DH, JDKKeyPairGenerator.DSA, JDKKeyPairGenerator.ElGamal, JDKKeyPairGenerator.GOST3410, JDKKeyPairGenerator.RSA`

### Constructor Summary

Constructors
Constructor and Description
`KeyPairGenerator.EC()`
`KeyPairGenerator.EC(java.lang.String algorithm)`

### Method Summary

Methods
`java.security.KeyPair` `generateKeyPair()`
`void` `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`void` `initialize(int strength, java.security.SecureRandom random)`

### Methods inherited from class java.security.KeyPairGenerator

`genKeyPair, getAlgorithm, getInstance, getInstance, getInstance, getProvider, initialize, initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyPairGenerator.EC

    public KeyPairGenerator.EC()

#### KeyPairGenerator.EC

    public KeyPairGenerator.EC(java.lang.String algorithm)

### Method Detail

#### initialize

    public void initialize(int strength,
                  java.security.SecureRandom random)

Specified by:
  `initialize` in class `JDKKeyPairGenerator`

#### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec params,
                  java.security.SecureRandom random)
                    throws java.security.InvalidAlgorithmParameterException

Overrides:
  `initialize` in class `java.security.KeyPairGenerator`
Throws:
  `java.security.InvalidAlgorithmParameterException`

#### generateKeyPair

    public java.security.KeyPair generateKeyPair()

Specified by:
  `generateKeyPair` in class `JDKKeyPairGenerator`